﻿<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <title>@ViewData["Title"] - InsightHub</title>
    <link href="~/css/site.css" rel="stylesheet" />
    <link rel="stylesheet" href="~/lib/bootstrap/dist/css/bootstrap.min.css" />
    <script src="//ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>
    <link href="https://cdnjs.cloudflare.com/ajax/libs/toastr.js/2.0.1/css/toastr.css" rel="stylesheet" />
    <script src="https://cdnjs.cloudflare.com/ajax/libs/toastr.js/2.0.1/js/toastr.js"></script>
</head>
<body style="background-color: #2b3e50" class="text-dark mb-1">
    <header>
        <nav class="navbar navbar-expand-sm navbar-toggleable-sm navbar-light bg-white border-bottom box-shadow mb-3">
            <div class="container">
                <a class="navbar-brand" asp-area="" asp-controller="Home" asp-action="Index">InsightHub</a>
                <button class="navbar-toggler" type="button" data-toggle="collapse" data-target=".navbar-collapse" aria-controls="navbarSupportedContent"
                        aria-expanded="false" aria-label="Toggle navigation">
                    <span class="navbar-toggler-icon"></span>
                </button>
                <div class="navbar-collapse collapse d-sm-inline-flex flex-sm-row-reverse">
                    <partial name="_LoginPartial" />
                    <ul class="navbar-nav flex-grow-1">
                        <li class="nav-item">
                            <a class="nav-link text-dark" asp-area="" asp-controller="Home" asp-action="Index">Home</a>
                        </li>
                        @if (User.IsInRole("Admin"))
                        {
                            <li class="nav-item dropdown">
                                <a class="nav-link dropdown-toggle" data-toggle="dropdown" href="#" role="button" aria-haspopup="true" aria-expanded="false">Users</a>
                                <div class="dropdown-menu">
                                    <a class="dropdown-item" asp-area="Admin" asp-controller="Users" asp-action="Index">Active Users</a>
                                    <a class="dropdown-item" asp-area="Admin" asp-controller="Users" asp-action="Pending">Pending Users</a>
                                </div>
                            </li>
                            <li class="nav-item dropdown">
                                <a class="nav-link dropdown-toggle" data-toggle="dropdown" href="#" role="button" aria-haspopup="true" aria-expanded="false">Reports</a>
                                <div class="dropdown-menu" style="">
                                    <a class="dropdown-item" asp-area="Admin" asp-controller="Reports" asp-action="Index">Approved Reports</a>
                                    <a class="dropdown-item" asp-area="Admin" asp-controller="Reports" asp-action="Pending">Pending Reports</a>
                                </div>
                            </li>
                            <li class="nav-item dropdown">
                                <a class="nav-link dropdown-toggle" data-toggle="dropdown" href="#" role="button" aria-haspopup="true" aria-expanded="false">Industries</a>
                                <div class="dropdown-menu" style="">
                                    <a class="dropdown-item" asp-area="Admin" asp-controller="Industries" asp-action="Create">Add Industry</a>
                                    <a class="dropdown-item" asp-area="Admin" asp-controller="Industries" asp-action="Index">All Industries</a>
                                </div>
                            </li>
                            <li class="nav-item dropdown">
                                <a class="nav-link dropdown-toggle" data-toggle="dropdown" href="#" role="button" aria-haspopup="true" aria-expanded="false">Tags</a>
                                <div class="dropdown-menu" style="">
                                    <a class="dropdown-item" asp-area="Admin" asp-controller="Tags" asp-action="Create">Add Tag</a>
                                    <a class="dropdown-item" asp-area="Admin" asp-controller="Tags" asp-action="Index">All Tags</a>
                                </div>
                            </li>
                        }

                        @if (!User.IsInRole("Admin"))
                        {
                            <li class="nav-item dropdown">
                                <a class="nav-link dropdown-toggle" data-toggle="dropdown" href="#" role="button" aria-haspopup="true" aria-expanded="false">Reports</a>
                                <div class="dropdown-menu" style="">

                                    @if (User.IsInRole("Author"))
                                    {
                                        <a class="dropdown-item" asp-area="Author" asp-controller="Reports" asp-action="Create">Create Report</a>
                                        <a class="dropdown-item" asp-area="Author" asp-controller="Reports" asp-action="ShowMyReports">My Reports</a>
                                    }
                                    @if (User.IsInRole("Author") || User.IsInRole("Client"))
                                    {
                                        <a class="dropdown-item" asp-area="Client" asp-controller="Reports" asp-action="Index">My Downloaded Reports</a>
                                    }
                                    <a class="dropdown-item" asp-area="" asp-controller="Reports" asp-action="Index">All Reports</a>
                                </div>
                            </li>
                            if (User.IsInRole("Client") || User.IsInRole("Author"))
                            {
                                <li class="nav-item dropdown">
                                    <a class="nav-link dropdown-toggle" data-toggle="dropdown" href="#" role="button" aria-haspopup="true" aria-expanded="false">Industries</a>
                                    <div class="dropdown-menu" style="">
                                        <a class="dropdown-item" asp-area="Client" asp-controller="Industries" asp-action="Index">All Industries</a>
                                        <a class="dropdown-item" asp-area="Client" asp-controller="Industries" asp-action="Subscriptions">My Subscriptions</a>
                                    </div>
                                </li>
                            }
                        }
                    </ul>
                </div>
            </div>
        </nav>
    </header>
    <div class="container">
        <main role="main" class="pb-3">
            @RenderBody()
        </main>
    </div>
    <footer class="border text-dark bg-white fixed-bottom">
        <div class="container">
            &copy; 2020 - InsightHub - <a asp-area="" asp-controller="Home" asp-action="Privacy">Privacy</a>
        </div>
    </footer>
    <link href="~/css/site.css" rel="stylesheet" />
    <script src="~/lib/jquery/dist/jquery.min.js"></script>
    <script src="~/lib/bootstrap/dist/js/bootstrap.bundle.min.js"></script>
    <script src="~/js/site.js" asp-append-version="true"></script>
    <link rel="stylesheet" type="text/css" href="https://cdn.datatables.net/v/bs4/dt-1.10.21/af-2.3.5/b-1.6.2/b-colvis-1.6.2/cr-1.5.2/fc-3.3.1/fh-3.1.7/kt-2.5.2/r-2.2.5/rg-1.1.2/rr-1.2.7/sc-2.0.2/sp-1.1.1/sl-1.3.1/datatables.min.css" />

    <script type="text/javascript" src="https://cdn.datatables.net/v/bs4/dt-1.10.21/af-2.3.5/b-1.6.2/b-colvis-1.6.2/cr-1.5.2/fc-3.3.1/fh-3.1.7/kt-2.5.2/r-2.2.5/rg-1.1.2/rr-1.2.7/sc-2.0.2/sp-1.1.1/sl-1.3.1/datatables.min.js"></script>

    @RenderSection("Styles", required: false)
    @RenderSection("Scripts", required: false)
</body>
</html>
